## ksirk 22.12.0

=== debian/changelog ===
ksirk (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:41 +0100

ksirk (4:22.08.2-1) unstable; urgency=medium

  * New upstream release:
    - fixes build with newer versions of the KF knewstuff framework
      (Closes: #1017136)
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.90.0
    - drop libkf5iconthemes-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Use secure URI in Homepage field.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 07:40:10 +0200

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:21.08.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5wallet-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )


include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    KIO
    NewStuff
    Wallet
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)
find_package(Phonon4Qt${QT_MAJOR_VERSION} REQUIRED)


find_package(Phonon4Qt${QT_MAJOR_VERSION} CONFIG REQUIRED)
find_package(Qca-qt${QT_MAJOR_VERSION} 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca-qt5"
                       TYPE REQUIRED)

kde_enable_exceptions()

remove_definitions(-DQT_NO_STL) 

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSIRK VERSION_HEADER ksirk_version.h)

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(
        EXPORT KSIRK
        FILE ksirk.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== ksirk/CMakeLists.txt ===
include(CheckIncludeFiles)
check_include_files(sys/stropts.h SYS_STROPTS_H_FOUND)
configure_file(config-ksirk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksirk.h)

add_subdirectory(skins)
add_subdirectory(iris)
add_subdirectory(icons)

# FIND_PACKAGE(ZLIB REQUIRED)

include_directories( 
  ${CMAKE_BINARY_DIR}/ksirk 
  ./Dialogs
  ./GameLogic 
  ./SaveLoad 
  ./skins 
  ./Sprites 
  ${CMAKE_CURRENT_SOURCE_DIR} 
  ${CMAKE_CURRENT_BINARY_DIR}  
  ${CMAKE_CURRENT_SOURCE_DIR}/iris/include/iris
  ${CMAKE_CURRENT_SOURCE_DIR}/iris/src
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/include/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/jabber/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-core/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-im/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/util/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/network/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/
  )

link_directories(${CMAKE_CURRENT_BINARY_DIR}/iris/)

########### next target ###############

set(ksirk_SRCS 
  GameLogic/gameautomaton.cpp
  kgamewin.cpp
  kgamewinslots.cpp
  gestionSprites.cpp
  Sprites/backgnd.cpp 
  Sprites/animsprite.cpp
  Sprites/cavalrysprite.cpp
  Sprites/animspriteslist.cpp
  Sprites/animspritespool.cpp
  Sprites/animspritesgroup.cpp
  Sprites/infantrysprite.cpp
  Sprites/cannonsprite.cpp
  Sprites/skinSpritesData.cpp
  Sprites/arrowsprite.cpp
  SaveLoad/ksirkgamexmlhandler.cpp
  SaveLoad/ksirkgamexmlloader.cpp
  GameLogic/aiColsonPlayer.cpp
  GameLogic/aiplayer.cpp
  GameLogic/aiplayerio.cpp
  GameLogic/continent.cpp
  GameLogic/country.cpp
  GameLogic/dice.cpp
  GameLogic/eventslistproperty.cpp
  GameLogic/goal.cpp
  GameLogic/KsirkChatItem.cpp
  GameLogic/KsirkChatModel.cpp
  GameLogic/KsirkChatDelegate.cpp
  GameLogic/KMessageParts.cpp
  GameLogic/nationality.cpp
  GameLogic/onu.cpp
  GameLogic/player.cpp
  GameLogic/distributiondata.cpp
  GameLogic/newplayerdata.cpp
  Dialogs/kplayersetupwidget.cpp
  Dialogs/newGameDialogImpl.cpp
  Dialogs/kwaitedplayersetupdialog.cpp
  Dialogs/restartOrExitDialogImpl.cpp
  Dialogs/joingame.cpp
  Dialogs/jabbergameui.cpp
  Dialogs/InvasionSlider.cpp
  Dialogs/newGameSummaryWidget.cpp
  Dialogs/tcpconnectwidget.cpp
  main.cpp
  decoratedgameframe.cpp 
  ksirkConfigDialog.cpp
  fightArena.cpp
  mainMenu.cpp
  krightdialog.cpp
  newgamesetup.cpp
#   Jabber/jabberaccount.cpp
  Jabber/kmessagejabber.cpp
  Jabber/jabberbytestream.cpp
  Jabber/jabberclient.cpp
  Jabber/jabberconnector.cpp
  Jabber/privacylist.cpp
  Jabber/privacylistitem.cpp
  Jabber/privacymanager.cpp
)

ecm_qt_declare_logging_category(ksirk_SRCS
                                HEADER ksirk_debug.h
                                IDENTIFIER KSIRK_LOG
                                CATEGORY_NAME org.kde.ksirk
                                DESCRIPTION "kdegames(ksirk)" EXPORT KSIRK)

ecm_qt_declare_logging_category(ksirk_SRCS
                                HEADER jabber_protocol_debug.h
                                IDENTIFIER JABBER_PROTOCOL_LOG
                                CATEGORY_NAME org.kde.ksirk.jabber
                                DESCRIPTION "kdegames (ksirk jabber)" EXPORT KSIRK)

set(ksirk_UI
  Dialogs/qplayersetupdialog.ui
  Dialogs/newGameDialog.ui
  Dialogs/qwaitedplayersetupdialog.ui 
  Dialogs/restartOrExitDialog.ui
  Dialogs/joingame.ui
  Dialogs/jabbergameui.ui
  Dialogs/newGameSummary.ui
  Dialogs/tcpconnectwidget.ui
  preferences.ui
  mainMenu.ui
  )


ki18n_wrap_ui(ksirk_SRCS ${ksirk_UI} )

kconfig_add_kcfg_files( ksirk_SRCS ksirksettings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*-apps-ksirk.png")
ecm_add_app_icon(ksirk_SRCS ICONS ${ICONS_SRCS})

add_executable(ksirk ${ksirk_SRCS})

target_link_libraries(ksirk
    Qt::Xml
    Qt::Svg
    qca-qt${QT_MAJOR_VERSION}
    iris_ksirk
    KF5::Crash
    KF5::KIOCore
    KF5::NewStuff
    KF5::Wallet
    Phonon::phonon4qt${QT_MAJOR_VERSION}
    KF5KDEGames
    KF5KDEGamesPrivate
)

install( TARGETS ksirk ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES ksirksettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(PROGRAMS org.kde.ksirk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ksirkui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/ksirk)
install(FILES jabber.png  DESTINATION  ${KDE_INSTALL_DATADIR}/ksirk)
install(FILES ksirk.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})
install(FILES org.kde.ksirk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== ksirkskineditor/CMakeLists.txt ===
# add_subdirectory( skins )

include_directories( 
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}  
)

########### next target ###############

set(ksirkskineditor_SRCS
  main.cpp
  mainwindow.cpp
  ksirkSkinEditorConfigDialog.cpp
  ksirkskineditorscene.cpp
  ksirkskineditorpixmapitem.cpp
  ksirkskineditortextitem.cpp
  ksirkcountrydefinition.cpp
  onu.cpp
  continent.cpp
  country.cpp
  nationality.cpp
  skinSpritesData.cpp
  goal.cpp
)

ecm_qt_declare_logging_category(ksirkskineditor_SRCS
                                HEADER ksirkskineditor_debug.h
                                IDENTIFIER KSIRKSKINEDITOR_LOG
                                CATEGORY_NAME org.kde.ksirk.skineditor
                                DESCRIPTION "kdegames (ksirk skineditor)" EXPORT KSIRK
                                )

set(ksirkskineditor_UI
#   ksirkskineditor.ui
  preferences.ui
  ksirkskineditorwidget.ui
  ksirkskindefinition.ui
  ksirkcountrydefinition.ui
  ksirkcontinentdefinition.ui
  ksirkgoaldefinition.ui
  ksirknationalitydefinition.ui
  ksirkspritesdefinition.ui
  ksirkskineditorcountriesselectiondialog.ui
)


ki18n_wrap_ui(ksirkskineditor_SRCS ${ksirkskineditor_UI} )

kconfig_add_kcfg_files( ksirkskineditor_SRCS ksirkskineditorsettings.kcfgc )

add_executable(ksirkskineditor ${ksirkskineditor_SRCS})

target_link_libraries(ksirkskineditor
  Qt::Xml
  Qt::Svg
  KF5::KIOCore 
  Phonon::phonon4qt${QT_MAJOR_VERSION}
  KF5::XmlGui
  KF5KDEGames
  KF5KDEGamesPrivate
  ${CRYPT_LIBS}
 )
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(ksirkskineditor
        Qt6::SvgWidgets)
endif()


install( TARGETS ksirkskineditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES ksirkskineditorsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR} )
install( PROGRAMS org.kde.ksirkskineditor.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES ksirkskineditorui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/ksirkskineditor )

set (pics_default_DATA
cross.png
target.png
)
install( FILES ${pics_default_DATA} DESTINATION ${KDE_INSTALL_DATADIR}/ksirkskineditor/ )

=== debian/changelog ===
ksirk (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add lintian override for the embedded libidn library, the lintian doc
    lists it as a « classification » tag.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:22 +0100

ksirk (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
@@ -37,8 +37,8 @@
 
 Package: ksirk
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: khelpcenter
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: khelpcenter,
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

execute_after_dh_auto_install:
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete

## ksirk 23.08.0

=== debian/changelog ===
ksirk (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:01 +0100

ksirk (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:29 +0100

ksirk (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:04 +0100

ksirk (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:02 +0100

ksirk (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:37 +0000

ksirk (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:24:00 -0600

ksirk (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:27 +0000

ksirk (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 16:49:55 +0000

ksirk (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:04 +0000

ksirk (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:19 +0000

ksirk (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:28 +0000

ksirk (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -16,7 +17,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:21.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),
@@ -29,16 +30,16 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
+Homepage: http://games.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
 
 Package: ksirk
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: khelpcenter,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: khelpcenter
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply

## ksirk 23.08.1

=== debian/changelog ===
ksirk (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:59 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),

## ksirk 23.08.4

=== debian/changelog ===
ksirk (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:10 +0000

ksirk (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:24 +0000

ksirk (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:10 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),

## ksirk 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.15.2")
-set (KF5_MIN_VERSION "5.90.0")
+set (KF_MIN_VERSION "5.90.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 
@@ -32,7 +32,7 @@
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
 endif()
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Completion
     Config
     ConfigWidgets

=== ksirk/iris/src/CMakeLists.txt ===
# FIND_PACKAGE(QCA2 REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)

set(libiris_SRCS
	#irisnet/appledns/appledns.cpp
	#irisnet/appledns/qdnssd.cpp
	irisnet/corelib/irisnetglobal.cpp
	irisnet/corelib/irisnetplugin.cpp
	irisnet/corelib/jdnsshared.cpp
	irisnet/corelib/netavailability.cpp
	irisnet/corelib/netinterface.cpp
	irisnet/corelib/netnames_jdns.cpp
	irisnet/corelib/netnames.cpp
	irisnet/corelib/objectsession.cpp
	irisnet/noncore/legacy/safedelete.cpp
	irisnet/noncore/legacy/ndns.cpp
	irisnet/noncore/legacy/servsock.cpp
	irisnet/noncore/legacy/srvresolver.cpp
	irisnet/noncore/processquit.cpp
	jdns/jdns_mdnsd.c
	jdns/jdns_packet.c
	jdns/jdns_sys.c
	jdns/jdns_util.c
	jdns/jdns.c
	jdns/qjdns_sock.cpp
	jdns/qjdns.cpp
	libidn/nfkc.c
	libidn/profiles.c
	libidn/rfc3454.c
	libidn/stringprep.c
  xmpp/base/randomnumbergenerator.cpp
  xmpp/base64/base64.cpp
  xmpp/cutestuff/bsocket.cpp
	xmpp/cutestuff/bytestream.cpp
	xmpp/cutestuff/httpconnect.cpp
	xmpp/cutestuff/httppoll.cpp
	xmpp/cutestuff/socks.cpp
  xmpp/sasl/digestmd5proplist.cpp
  xmpp/sasl/digestmd5response.cpp
  xmpp/sasl/plainmessage.cpp
  xmpp/zlib/zlibcompressor.cpp
  xmpp/zlib/zlibdecompressor.cpp
  xmpp/jid/jid.cpp
# 	xmpp/xmpp-core/compress.cpp
	xmpp/xmpp-core/compressionhandler.cpp
	xmpp/xmpp-core/connector.cpp
	xmpp/xmpp-core/parser.cpp
	xmpp/xmpp-core/protocol.cpp
	xmpp/xmpp-core/securestream.cpp
	xmpp/xmpp-core/simplesasl.cpp
	xmpp/xmpp-core/stream.cpp
	xmpp/xmpp-core/tlshandler.cpp
	xmpp/xmpp-core/xmlprotocol.cpp
  xmpp/xmpp-core/xmpp_stanza.cpp
  xmpp/xmpp-im/client.cpp
	xmpp/xmpp-im/filetransfer.cpp
	xmpp/xmpp-im/s5b.cpp
	xmpp/xmpp-im/types.cpp
	xmpp/xmpp-im/xmpp_discoinfotask.cpp
	xmpp/xmpp-im/xmpp_discoitem.cpp
	xmpp/xmpp-im/xmpp_features.cpp
	xmpp/xmpp-im/xmpp_ibb.cpp
	xmpp/xmpp-im/xmpp_task.cpp
	xmpp/xmpp-im/xmpp_tasks.cpp
	xmpp/xmpp-im/xmpp_vcard.cpp
	xmpp/xmpp-im/xmpp_xdata.cpp
  xmpp/xmpp-im/xmpp_xmlcommon.cpp
  )
if(UNIX)
  set(libiris_SRCS ${libiris_SRCS}
		irisnet/corelib/netinterface_unix.cpp
	)
endif(UNIX)
if(WIN32)
  set(libiris_SRCS ${libiris_SRCS}
		irisnet/corelib/netinterface_win.cpp
	)
    if(MINGW)
        add_definitions(-DWIN32)
    endif(MINGW)
endif(WIN32)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}/../..
	#irisnet/appledns
	irisnet/corelib
	irisnet/noncore
	irisnet/noncore/legacy
	jdns
	libidn
	xmpp/cutestuff
	xmpp/jid
	xmpp/xmpp-core
	xmpp/xmpp-im
  ${QCA2_INCLUDE_DIR}
  )
qt_wrap_cpp(libiris_SRCS
xmpp/xmpp-im/xmpp_client.h
xmpp/xmpp-core/xmpp_clientstream.h
xmpp/xmpp-core/xmpp_stream.h
xmpp/xmpp-core/xmpp.h
)
if(0)
qt5_wrap_cpp(libiris_SRCS
irisnet/corelib/jdnsshared.h
irisnet/corelib/netavailability.h
irisnet/corelib/netinterface.h
irisnet/corelib/netnames.h
irisnet/corelib/objectsession.h
irisnet/noncore/processquit.h
jdns/qjdns.h
xmpp/base/randrandomnumbergenerator.h
xmpp/base64/base64.h
xmpp/cutestuff/bsocket.h
xmpp/cutestuff/bytestream.h
xmpp/cutestuff/httpconnect.h
xmpp/cutestuff/httppoll.h
xmpp/sasl/digestmd5proplist.cpp
xmpp/sasl/digestmd5response.cpp
xmpp/sasl/plainmessage.cpp
xmpp/xmpp-core/xmpp.h
xmpp/xmpp-core/xmpp_clientstream.h
xmpp/xmpp-core/xmpp_stream.h
xmpp/xmpp-core/securestream.h
xmpp/xmpp-core/simplesasl.h
xmpp/xmpp-im/s5b.h
xmpp/xmpp-im/xmpp_client.h
xmpp/xmpp-im/xmpp_task.h
xmpp/zlib/common.h
xmpp/zlib/zlibcompressor.h
xmpp/zlib/zlibdecompressor.h
)
endif()

add_library(iris_ksirk SHARED ${libiris_SRCS})

set(iris_ksirk_libs Qt::Core Qt::Gui Qt::Network Qt::Xml ${IDN_LIBRARY} qca-qt${QT_MAJOR_VERSION} ${ZLIB_LIBRARIES} Qt::Widgets)
if(WIN32)
  set(iris_ksirk_libs ${iris_ksirk_libs} ws2_32)
endif(WIN32)
  
if(HAVE_NSL_LIBRARY)
    # This is probably Solaris, and libiris needs to link
    # to libnsl for gethostbyname
  set(iris_ksirk_libs ${iris_ksirk_libs} nsl)
endif(HAVE_NSL_LIBRARY)
target_link_libraries(iris_ksirk ${iris_ksirk_libs})
    
set_target_properties(iris_ksirk PROPERTIES
                      VERSION 2.0.0
                      SOVERSION 2
                      COMPILE_FLAGS -DIRISNET_STATIC
                      )
install(TARGETS iris_ksirk ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
ksirk (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:35 +1100

ksirk (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:21:00 +0000

ksirk (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:16:31 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),

## ksirk 24.08.2

=== debian/changelog ===
ksirk (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:59:10 -0500

ksirk (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 02:01:14 -0500

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev,
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libqca-qt6-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 24.12.0

=== debian/changelog ===
ksirk (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:18:53 +0000

ksirk (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:13:07 +0000

ksirk (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:49:11 +0000

ksirk (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:45:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 24.12.1

=== debian/changelog ===
ksirk (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:15:53 +0100

ksirk (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 21 Dec 2024 14:43:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev,
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -34,9 +33,9 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Homepage: https://games.kde.org/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
 
 Package: ksirk
 Architecture: any

## ksirk 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_QT_MODERNCODE_DEFINITIONS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core5Compat
    Multimedia
    Svg
    SvgWidgets
    Widgets
    Test
)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    NewStuff
    WidgetsAddons
    XmlGui
)

find_package(KDEGames6 6.0.0 REQUIRED)

kde_enable_exceptions()

add_definitions(
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.7
    KDEGAMES 6.0
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KSIRK
    VERSION_HEADER ksirk_version.h
)

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(
    EXPORT KSIRK
    FILE ksirk.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksirk (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.
    - d/rules: No need to specify kf6 as we are using dh-sequence-kf6.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 08:54:19 +0000

ksirk (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:45:37 +0100

ksirk (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 19:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -33,9 +34,9 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
+Homepage: http://games.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
 
 Package: ksirk
 Architecture: any

## ksirk 25.04.0

=== ksirk/skins/static/Sounds/CMakeLists.txt ===
install(FILES
    cannon.wav
    crash.wav
    roll.wav

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/static/Sounds
)

=== debian/changelog ===
ksirk (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Add missing build dependency on pkg-kde-tools.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.3~),
+               libkdegames6-dev (>= 4:6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
+               libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
@@ -26,17 +26,18 @@
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libqca-qt6-dev,
+               pkg-kde-tools,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Homepage: https://apps.kde.org/ksirk/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
 
 Package: ksirk
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DKDE_INSTALL_BINDIR=/usr/games

execute_after_dh_auto_install:
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete

## ksirk 25.04.3

=== debian/changelog ===
ksirk (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:51:35 +0100

ksirk (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:55:31 +0100

ksirk (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:13:53 +0100

ksirk (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:58:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:6.0.0~),
+               libkdegames6-dev (>= 4:25.04.3~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
-               libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
@@ -26,18 +26,17 @@
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libqca-qt6-dev,
-               pkg-kde-tools,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/ksirk/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
+Homepage: http://games.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
 
 Package: ksirk
 Architecture: any

## ksirk 25.07.80

=== debian/changelog ===
ksirk (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:20:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.04.3~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.07.90

=== debian/changelog ===
ksirk (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:55:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.80~),
+               libkdegames6-dev (>= 4:25.07.90~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.08.0

=== ksirk/CMakeLists.txt ===
configure_file(config-ksirk.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-ksirk.h)

add_subdirectory(skins)
add_subdirectory(icons)

add_executable(ksirk)

target_sources(ksirk PRIVATE
    GameLogic/gameautomaton.cpp
    GameLogic/gamesequence.cpp
    kgamewin.cpp
    kgamewinslots.cpp
    gestionSprites.cpp
    Sprites/backgnd.cpp
    Sprites/animsprite.cpp
    Sprites/cavalrysprite.cpp
    Sprites/animspriteslist.cpp
    Sprites/animspritespool.cpp
    Sprites/animspritesgroup.cpp
    Sprites/infantrysprite.cpp
    Sprites/cannonsprite.cpp
    Sprites/skinSpritesData.cpp
    Sprites/arrowsprite.cpp
    SaveLoad/ksirkgamexmlhandler.cpp
    SaveLoad/ksirkgamexmlloader.cpp
    GameLogic/aiColsonPlayer.cpp
    GameLogic/aiplayer.cpp
    GameLogic/aiplayerio.cpp
    GameLogic/continent.cpp
    GameLogic/country.cpp
    GameLogic/dice.cpp
    GameLogic/eventslistproperty.cpp
    GameLogic/goal.cpp
    GameLogic/KsirkChatItem.cpp
    GameLogic/KsirkChatModel.cpp
    GameLogic/KsirkChatDelegate.cpp
    GameLogic/KMessageParts.cpp
    GameLogic/nationality.cpp
    GameLogic/onu.cpp
    GameLogic/player.cpp
    GameLogic/distributiondata.cpp
    GameLogic/newplayerdata.cpp
    Dialogs/kplayersetupwidget.cpp
    Dialogs/newGameDialogImpl.cpp
    Dialogs/kwaitedplayersetupdialog.cpp
    Dialogs/restartOrExitDialogImpl.cpp
    Dialogs/joingame.cpp
    Dialogs/InvasionSlider.cpp
    Dialogs/newGameSummaryWidget.cpp
    Dialogs/tcpconnectwidget.cpp
    main.cpp
    decoratedgameframe.cpp
    ksirkConfigDialog.cpp
    fightArena.cpp
    mainMenu.cpp
    krightdialog.cpp
    newgamesetup.cpp

    ksirk.qrc
)

ecm_qt_declare_logging_category(ksirk
    HEADER ksirk_debug.h
    IDENTIFIER KSIRK_LOG
    CATEGORY_NAME ksirk
    OLD_CATEGORY_NAMES org.kde.ksirk
    DESCRIPTION "KsirK game"
    EXPORT KSIRK
)

ki18n_wrap_ui(ksirk
    Dialogs/qplayersetupdialog.ui
    Dialogs/newGameDialog.ui
    Dialogs/qwaitedplayersetupdialog.ui
    Dialogs/restartOrExitDialog.ui
    Dialogs/joingame.ui
    Dialogs/newGameSummary.ui
    Dialogs/tcpconnectwidget.ui
    preferences.ui
    mainMenu.ui
)

kconfig_add_kcfg_files( ksirk ksirksettings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*-apps-ksirk.png")
ecm_add_app_icon(ksirk ICONS ${ICONS_SRCS})

target_include_directories(ksirk
    PRIVATE
        ./Dialogs
        ./GameLogic
        ./SaveLoad
        ./skins
        ./Sprites
)

target_link_libraries(ksirk
    KDEGames6
    KDEGames6Private
    KF6::Crash
    KF6::DBusAddons
    KF6::I18n
    KF6::XmlGui
    KF6::NewStuffWidgets
    Qt6::Multimedia
    Qt6::Xml
    Qt6::Svg
    Qt6::SvgWidgets
    Qt6::Core5Compat
)

install( TARGETS ksirk ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ksirksettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(PROGRAMS org.kde.ksirk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ksirk.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})
install(FILES org.kde.ksirk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
ksirk (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.90~),
+               libkdegames6-dev (>= 4:25.08.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
